Subject: How to do: lost wax?

From: [email-masked] (Taizan Matsudaira)
Date: 22 Mar 1995 04:48:34 -0800

I am looking for someone who knows how to or knows or a good book on the 
art of lost wax sculpting. I realize this is only SORT of metalworking, 
but as long as I'm at it... what's the melting point of bronze?